.pra-progress-container {
  display: flex;
  justify-content: center;
  padding-block: 16px;
  padding-inline: 16px;
  .pra-progress {
    inline-size: 654px;
    hr {
      background-color: #244994;
      block-size: 2px;
      border: 0;
      inline-size: calc(100% - 84px);
      margin-block-end: 0;
      margin-block-start: 23px;
      margin-inline: 42px;
    }

    .pra-dots {
      display: flex;
      justify-content: space-between;
      margin-block-start: -24px;
      .pra-dot {
        align-items: center;
        background-color: white;
        block-size: 42px;
        border: 2px solid #244994;
        border-radius: 50%;
        display: flex;
        inline-size: 42px;
        justify-content: center;
        &.pra-dot-filled {
          background-color: #244994;
          filter: drop-shadow(0 4px 4px rgba(0 0 0 / 25%));
        }
        &.pra-dot-checked {
          svg {
            block-size: 24px;
            inline-size: 24px;
            & * {
              fill: white;
            }
          }
        }
      }
    }
  }
}
